Index: binaries/data/mods/public/gui/pregame/mainmenu.js
===================================================================
--- binaries/data/mods/public/gui/pregame/mainmenu.js	(Revision 14461)
+++ binaries/data/mods/public/gui/pregame/mainmenu.js	(Arbeitskopie)
@@ -11,7 +11,7 @@
 	// Play main menu music
 	global.music.setState(global.music.states.MENU);
 
-	userReportEnabledText = getGUIObjectByName("userReportEnabledText").caption;
+	userReportEnabledText = Engine.GetGUIObjectByName("userReportEnabledText").caption;
 
 	// initialize currentSubmenuType with placeholder to avoid null when switching
 	currentSubmenuType = "submenuSinglePlayer";
@@ -32,9 +32,9 @@
 {
 	if (background == "hellenes1")
 	{
-		var layer1 = getGUIObjectByName("backgroundHele1-1");
-		var layer2 = getGUIObjectByName("backgroundHele1-2");
-		var layer3 = getGUIObjectByName("backgroundHele1-3");
+		var layer1 = Engine.GetGUIObjectByName("backgroundHele1-1");
+		var layer2 = Engine.GetGUIObjectByName("backgroundHele1-2");
+		var layer3 = Engine.GetGUIObjectByName("backgroundHele1-3");
 		
 		layer1.hidden = false;
 		layer2.hidden = false;
@@ -59,10 +59,10 @@
 	
 	if (background == "persians1")
 	{
-		var layer1 = getGUIObjectByName("backgroundPers1-1");
-		var layer2 = getGUIObjectByName("backgroundPers1-2");
-		var layer3 = getGUIObjectByName("backgroundPers1-3");
-		var layer4 = getGUIObjectByName("backgroundPers1-4");
+		var layer1 = Engine.GetGUIObjectByName("backgroundPers1-1");
+		var layer2 = Engine.GetGUIObjectByName("backgroundPers1-2");
+		var layer3 = Engine.GetGUIObjectByName("backgroundPers1-3");
+		var layer4 = Engine.GetGUIObjectByName("backgroundPers1-4");
 		
 		layer1.hidden = false;
 		layer2.hidden = false;
@@ -91,7 +91,7 @@
 
 function submitUserReportMessage()
 {
-	var input = getGUIObjectByName("userReportMessageInput");
+	var input = Engine.GetGUIObjectByName("userReportMessageInput");
 	var msg = input.caption;
 	if (msg.length)
 		Engine.SubmitUserReport("message", 1, msg);
@@ -148,7 +148,7 @@
 
 	if (Engine.IsUserReportEnabled())
 	{
-		getGUIObjectByName("userReportEnabledText").caption = 
+		Engine.GetGUIObjectByName("userReportEnabledText").caption = 
 			userReportEnabledText.replace(/\$status/,
 				formatUserReportStatus(Engine.GetUserReportStatus()));
 	}
@@ -159,26 +159,37 @@
 		g_ShowSplashScreens = false;
 
 		if (Engine.ConfigDB_GetValue("user", "splashscreenenable") !== "false")
-			Engine.PushGuiPage("page_splashscreen.xml", { "page": "splashscreen" } );
-
-		// Warn about removing fixed render path
-		if (Engine.Renderer_GetRenderPath() == "fixed")
-			messageBox(
-				600,
-				300,
-				"[font=\"serif-bold-16\"][color=\"200 20 20\"]Warning:[/color] You appear to be using non-shader (fixed function) graphics. This option will be removed in a future 0 A.D. release, to allow for more advanced graphics features. We advise upgrading your graphics card to a more recent, shader-compatible model.\n\nPlease press \"Read More\" for more information or \"Ok\" to continue.",
-				"WARNING!",
-				0,
-				["Ok", "Read More"],
-				[null, function() { Engine.OpenURL("http://www.wildfiregames.com/forum/index.php?showtopic=16734"); }]
-			);
+			Engine.PushGuiPage("page_splashscreen.xml", { "page": "splashscreen", callback : "SplashScreenClosedCallback" } );
+		else
+			ShowRenderPathMessage();
+		
 	}
 }
 
+function ShowRenderPathMessage()
+{
+	// Warn about removing fixed render path
+	if (Engine.Renderer_GetRenderPath() == "fixed")
+		messageBox(
+			600,
+			300,
+			"[font=\"serif-bold-16\"][color=\"200 20 20\"]Warning:[/color] You appear to be using non-shader (fixed function) graphics. This option will be removed in a future 0 A.D. release, to allow for more advanced graphics features. We advise upgrading your graphics card to a more recent, shader-compatible model.\n\nPlease press \"Read More\" for more information or \"Ok\" to continue.",
+			"WARNING!",
+			0,
+			["Ok", "Read More"],
+			[ null, function() { Engine.OpenURL("http://www.wildfiregames.com/forum/index.php?showtopic=16734"); } ]
+		);
+}
+
+function SplashScreenClosedCallback()
+{
+	ShowRenderPathMessage();
+}
+
 function EnableUserReport(Enabled)
 {
-	getGUIObjectByName("userReportDisabled").hidden = Enabled;
- 	getGUIObjectByName("userReportEnabled").hidden = !Enabled;
+	Engine.GetGUIObjectByName("userReportDisabled").hidden = Enabled;
+ 	Engine.GetGUIObjectByName("userReportEnabled").hidden = !Enabled;
  	Engine.SetUserReportEnabled(Enabled);
 }
 
@@ -198,14 +209,14 @@
 // Slide menu
 function updateMenuPosition(dt)
 {
-	var submenu = getGUIObjectByName("submenu");
+	var submenu = Engine.GetGUIObjectByName("submenu");
 
 	if (submenu.hidden == false)
 	{
 		// Number of pixels per millisecond to move
 		const SPEED = 1.2;
 
-		var maxOffset = getGUIObjectByName("mainMenu").size.right - submenu.size.left;
+		var maxOffset = Engine.GetGUIObjectByName("mainMenu").size.right - submenu.size.left;
 		if (maxOffset > 0)
 		{
 			var offset = Math.min(SPEED * dt, maxOffset);
@@ -222,10 +233,10 @@
 {
 	// switch to new submenu type
 	currentSubmenuType = newSubmenu;
-	getGUIObjectByName(currentSubmenuType).hidden = false;
+	Engine.GetGUIObjectByName(currentSubmenuType).hidden = false;
 
 	// set position of new submenu
-	var submenu = getGUIObjectByName("submenu");
+	var submenu = Engine.GetGUIObjectByName("submenu");
 	var top = position - MARGIN;
 	var bottom = position + ((buttonHeight + MARGIN) * numButtons);
 	submenu.size = submenu.size.left + " " + top + " " + submenu.size.right + " " + bottom;
@@ -234,7 +245,7 @@
 	blendSubmenuIntoMain(top, bottom);
 
 	// Reveal submenu
-	getGUIObjectByName("submenu").hidden = false;
+	Engine.GetGUIObjectByName("submenu").hidden = false;
 }
 
 // Closes the menu and resets position
@@ -243,24 +254,24 @@
 //	playButtonSound();
 
 	// remove old submenu type
-	getGUIObjectByName(currentSubmenuType).hidden = true;
+	Engine.GetGUIObjectByName(currentSubmenuType).hidden = true;
 
 	// hide submenu and reset position
-	var submenu = getGUIObjectByName("submenu");
+	var submenu = Engine.GetGUIObjectByName("submenu");
 	submenu.hidden = true;
-	submenu.size = getGUIObjectByName("mainMenu").size;
+	submenu.size = Engine.GetGUIObjectByName("mainMenu").size;
 
 	// reset main menu panel right border
-	getGUIObjectByName("MainMenuPanelRightBorderTop").size = "100%-2 0 100% 100%";
+	Engine.GetGUIObjectByName("MainMenuPanelRightBorderTop").size = "100%-2 0 100% 100%";
 }
 
 // Sizes right border on main menu panel to match the submenu
 function blendSubmenuIntoMain(topPosition, bottomPosition)
 {
-	var topSprite = getGUIObjectByName("MainMenuPanelRightBorderTop");
+	var topSprite = Engine.GetGUIObjectByName("MainMenuPanelRightBorderTop");
 	topSprite.size = "100%-2 0 100% " + (topPosition + MARGIN);
 
-	var bottomSprite = getGUIObjectByName("MainMenuPanelRightBorderBottom");
+	var bottomSprite = Engine.GetGUIObjectByName("MainMenuPanelRightBorderBottom");
 	bottomSprite.size = "100%-2 " + (bottomPosition) + " 100% 100%";
 }
 
@@ -291,14 +302,14 @@
 //
 //		if (tmpName != tabName)
 //		{
-//			getGUIObjectByName (tmpName + "Window").hidden = true;
-//			getGUIObjectByName (tmpName + "Button").enabled = true;
+//			Engine.GetGUIObjectByName (tmpName + "Window").hidden = true;
+//			Engine.GetGUIObjectByName (tmpName + "Button").enabled = true;
 //		}
 //	}
 //
 //	// Make given tab visible.
-//	getGUIObjectByName (tabName + "Window").hidden = false;
-//	getGUIObjectByName (tabName + "Button").enabled = false;
+//	Engine.GetGUIObjectByName (tabName + "Window").hidden = false;
+//	Engine.GetGUIObjectByName (tabName + "Button").enabled = false;
 //}
 //
 //// Move the credits up the screen.
Index: binaries/data/mods/public/gui/session/input.js
===================================================================
--- binaries/data/mods/public/gui/session/input.js	(Revision 14461)
+++ binaries/data/mods/public/gui/session/input.js	(Arbeitskopie)
@@ -56,7 +56,7 @@
 {
 	var cursorSet = false;
 	var tooltipSet = false;
-	var informationTooltip = getGUIObjectByName("informationTooltip");
+	var informationTooltip = Engine.GetGUIObjectByName("informationTooltip");
 	if (!mouseIsOverObject)
 	{
 		var action = determineAction(mouseX, mouseY);
@@ -84,7 +84,7 @@
 	if (!tooltipSet)
 		informationTooltip.hidden = true;
 	
-	var placementTooltip = getGUIObjectByName("placementTooltip");
+	var placementTooltip = Engine.GetGUIObjectByName("placementTooltip");
 	if (placementSupport.tooltipMessage)
 	{
 		if (placementSupport.tooltipError)
@@ -746,7 +746,7 @@
 			if (x0 > x1) { var t = x0; x0 = x1; x1 = t; }
 			if (y0 > y1) { var t = y0; y0 = y1; y1 = t; }
 
-			var bandbox = getGUIObjectByName("bandbox");
+			var bandbox = Engine.GetGUIObjectByName("bandbox");
 			bandbox.size = [x0, y0, x1, y1].join(" ");
 			bandbox.hidden = false;
 
@@ -766,7 +766,7 @@
 				if (x0 > x1) { var t = x0; x0 = x1; x1 = t; }
 				if (y0 > y1) { var t = y0; y0 = y1; y1 = t; }
 
-				var bandbox = getGUIObjectByName("bandbox");
+				var bandbox = Engine.GetGUIObjectByName("bandbox");
 				bandbox.hidden = true;
 
 				// Get list of entities limited to preferred entities
@@ -810,7 +810,7 @@
 			else if (ev.button == SDL_BUTTON_RIGHT)
 			{
 				// Cancel selection
-				var bandbox = getGUIObjectByName("bandbox");
+				var bandbox = Engine.GetGUIObjectByName("bandbox");
 				bandbox.hidden = true;
 
 				g_Selection.setHighlightList([]);
@@ -1060,7 +1060,7 @@
 function handleInputAfterGui(ev)
 {
 	// Handle the time-warp testing features, restricted to single-player
-	if (!g_IsNetworked && getGUIObjectByName("devTimeWarp").checked)
+	if (!g_IsNetworked && Engine.GetGUIObjectByName("devTimeWarp").checked)
 	{
 		if (ev.type == "hotkeydown" && ev.hotkey == "timewarp.fastforward")
 			Engine.SetSimRate(20.0);
Index: binaries/data/mods/public/gui/session/unit_commands.js
===================================================================
--- binaries/data/mods/public/gui/session/unit_commands.js	(Revision 14461)
+++ binaries/data/mods/public/gui/session/unit_commands.js	(Arbeitskopie)
@@ -41,7 +41,7 @@
 // Lay out a row of centered buttons (does not work inside a loop like the other function)
 function layoutButtonRowCentered(rowNumber, guiName, startIndex, endIndex, width)
 {
-	var buttonSideLength = getGUIObjectByName("unit"+guiName+"Button[0]").size.bottom;
+	var buttonSideLength = Engine.GetGUIObjectByName("unit"+guiName+"Button[0]").size.bottom;
 	var buttonSpacer = buttonSideLength+1;
 	var colNumber = 0;
 
@@ -51,8 +51,8 @@
 
 	for (var i = startIndex; i < endIndex; i++)
 	{
-		var button = getGUIObjectByName("unit"+guiName+"Button["+i+"]");
-		var icon = getGUIObjectByName("unit"+guiName+"Icon["+i+"]");
+		var button = Engine.GetGUIObjectByName("unit"+guiName+"Button["+i+"]");
+		var icon = Engine.GetGUIObjectByName("unit"+guiName+"Icon["+i+"]");
 
 		if (button)
 		{
@@ -116,7 +116,7 @@
 
 	for (var i = startIndex; i < endIndex; i++)
 	{
-		var button = getGUIObjectByName("unit"+guiName+objectName+"["+i+"]");
+		var button = Engine.GetGUIObjectByName("unit"+guiName+objectName+"["+i+"]");
 
 		if (button)
 		{
@@ -316,10 +316,10 @@
 		// If a tech has been researched it leaves an empty slot
 		if (guiName == RESEARCH && !item)
 		{
-			getGUIObjectByName("unit"+guiName+"Button["+i+"]").hidden = true;
+			Engine.GetGUIObjectByName("unit"+guiName+"Button["+i+"]").hidden = true;
 			// We also remove the paired tech and the pair symbol
-			getGUIObjectByName("unit"+guiName+"Button["+(i+rowLength)+"]").hidden = true;
-			getGUIObjectByName("unit"+guiName+"Pair["+i+"]").hidden = true;
+			Engine.GetGUIObjectByName("unit"+guiName+"Button["+(i+rowLength)+"]").hidden = true;
+			Engine.GetGUIObjectByName("unit"+guiName+"Pair["+i+"]").hidden = true;
 			continue;
 		}
 
@@ -387,7 +387,7 @@
 				var name = getEntityNames(template);
 				var tooltip = name;
 				var count = g_Selection.groups.getCount(item);
-				getGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (count > 1 ? count : "");
+				Engine.GetGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (count > 1 ? count : "");
 				break;
 
 			case QUEUE:
@@ -396,16 +396,16 @@
 					tooltip += "\n[color=\"red\"]Insufficient population capacity:\n[/color]"+getCostComponentDisplayName("population")+" "+item.neededSlots;
 
 				var progress = Math.round(item.progress*100) + "%";
-				getGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (item.count > 1 ? item.count : "");
+				Engine.GetGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (item.count > 1 ? item.count : "");
 
 				if (i == 0)
 				{
-					getGUIObjectByName("queueProgress").caption = (item.progress ? progress : "");
-					var size = getGUIObjectByName("unit"+guiName+"ProgressSlider["+i+"]").size;
+					Engine.GetGUIObjectByName("queueProgress").caption = (item.progress ? progress : "");
+					var size = Engine.GetGUIObjectByName("unit"+guiName+"ProgressSlider["+i+"]").size;
 
 					// Buttons are assumed to be square, so left/right offsets can be used for top/bottom.
 					size.top = size.left + Math.round(item.progress * (size.right - size.left));
-					getGUIObjectByName("unit"+guiName+"ProgressSlider["+i+"]").size = size;
+					Engine.GetGUIObjectByName("unit"+guiName+"ProgressSlider["+i+"]").size = size;
 				}
 				break;
 
@@ -413,7 +413,7 @@
 				var name = getEntityNames(template);
 				var tooltip = "Unload " + name + "\nSingle-click to unload 1. Shift-click to unload all of this type.";
 				var count = garrisonGroups.getCount(item);
-				getGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (count > 1 ? count : "");
+				Engine.GetGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (count > 1 ? count : "");
 				break;
 
 			case GATE:
@@ -430,7 +430,7 @@
 
 					tooltip += "\n" + getEntityCostTooltip(template, wallCount);
 
-					var affordableMask = getGUIObjectByName("unitGateUnaffordable["+i+"]");
+					var affordableMask = Engine.GetGUIObjectByName("unitGateUnaffordable["+i+"]");
 					affordableMask.hidden = true;
 
 					var neededResources = Engine.GuiInterfaceCall("GetNeededResources", multiplyEntityCosts(template, wallCount));
@@ -510,11 +510,11 @@
 				if (item.name == "unload-all")
 				{
 					var count = garrisonGroups.getTotalCount();
-					getGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (count > 0 ? count : "");
+					Engine.GetGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (count > 0 ? count : "");
 				}
 				else
 				{
-					getGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = "";
+					Engine.GetGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = "";
 				}
 
 				tooltip = (item.tooltip ? item.tooltip : toTitleCase(item.name));
@@ -525,13 +525,13 @@
 		}
 
 		// Button
-		var button = getGUIObjectByName("unit"+guiName+"Button["+i+"]");
-		var button1 = getGUIObjectByName("unit"+guiName+"Button["+(i+rowLength)+"]");
-		var affordableMask = getGUIObjectByName("unit"+guiName+"Unaffordable["+i+"]");
-		var affordableMask1 = getGUIObjectByName("unit"+guiName+"Unaffordable["+(i+rowLength)+"]");
-		var icon = getGUIObjectByName("unit"+guiName+"Icon["+i+"]");
-		var guiSelection = getGUIObjectByName("unit"+guiName+"Selection["+i+"]");
-		var pair = getGUIObjectByName("unit"+guiName+"Pair["+i+"]");
+		var button = Engine.GetGUIObjectByName("unit"+guiName+"Button["+i+"]");
+		var button1 = Engine.GetGUIObjectByName("unit"+guiName+"Button["+(i+rowLength)+"]");
+		var affordableMask = Engine.GetGUIObjectByName("unit"+guiName+"Unaffordable["+i+"]");
+		var affordableMask1 = Engine.GetGUIObjectByName("unit"+guiName+"Unaffordable["+(i+rowLength)+"]");
+		var icon = Engine.GetGUIObjectByName("unit"+guiName+"Icon["+i+"]");
+		var guiSelection = Engine.GetGUIObjectByName("unit"+guiName+"Selection["+i+"]");
+		var pair = Engine.GetGUIObjectByName("unit"+guiName+"Pair["+i+"]");
 		button.hidden = false;
 		button.tooltip = tooltip;
 
@@ -551,14 +551,14 @@
 			{
 				button.onpress = (function(e){ return function() { callback(e) } })(item.bottom);
 
-				var icon1 = getGUIObjectByName("unit"+guiName+"Icon["+(i+rowLength)+"]");
+				var icon1 = Engine.GetGUIObjectByName("unit"+guiName+"Icon["+(i+rowLength)+"]");
 				button1.hidden = false;
 				button1.tooltip = tooltip1;
 				button1.onpress = (function(e){ return function() { callback(e) } })(item.top);
 
 				// when we hover over a pair, the other one gets a red cross over it to show it won't be available any more.
-				var unchosenIcon = getGUIObjectByName("unit"+guiName+"UnchosenIcon["+i+"]");
-				var unchosenIcon1 = getGUIObjectByName("unit"+guiName+"UnchosenIcon["+(i+rowLength)+"]");
+				var unchosenIcon = Engine.GetGUIObjectByName("unit"+guiName+"UnchosenIcon["+i+"]");
+				var unchosenIcon1 = Engine.GetGUIObjectByName("unit"+guiName+"UnchosenIcon["+(i+rowLength)+"]");
 
 				button1.onmouseenter = (function(e){ return function() { setOverlay(e, true) } })(unchosenIcon);
 				button1.onmouseleave = (function(e){ return function() { setOverlay(e, false) } })(unchosenIcon);
@@ -571,7 +571,7 @@
 			else
 			{
 				// Hide the overlay.
-				var unchosenIcon = getGUIObjectByName("unit"+guiName+"UnchosenIcon["+i+"]");
+				var unchosenIcon = Engine.GetGUIObjectByName("unit"+guiName+"UnchosenIcon["+i+"]");
 				unchosenIcon.hidden = true;
 			}
 		}
@@ -792,7 +792,7 @@
 						trainNum = buildingsCountToTrainFullBatch * fullBatchSize + remainderBatch;
 						button_disableable = !Engine.HotkeyIsPressed("selection.remove");
 					}
-					getGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (batchTrainingCount > 0) ? batchTrainingCount : "";
+					Engine.GetGUIObjectByName("unit"+guiName+"Count["+i+"]").caption = (batchTrainingCount > 0) ? batchTrainingCount : "";
 				}
 
 				// Walls have no cost defined.
@@ -834,11 +834,11 @@
 
 	var numRows = Math.ceil(numButtons / rowLength);
 
-	var buttonSideLength = getGUIObjectByName("unit"+guiName+"Button[0]").size.bottom;
+	var buttonSideLength = Engine.GetGUIObjectByName("unit"+guiName+"Button[0]").size.bottom;
 
 	// We sort pairs upside down, so get the size from the topmost button.
 	if (guiName == RESEARCH)
-		buttonSideLength = getGUIObjectByName("unit"+guiName+"Button["+(rowLength*numRows)+"]").size.bottom;
+		buttonSideLength = Engine.GetGUIObjectByName("unit"+guiName+"Button["+(rowLength*numRows)+"]").size.bottom;
 
 	var buttonSpacer = buttonSideLength+1;
 
@@ -866,7 +866,7 @@
 	// Layout pair icons
 	if (guiName == RESEARCH)
 	{
-		var pairSize = getGUIObjectByName("unit"+guiName+"Pair[0]").size;
+		var pairSize = Engine.GetGUIObjectByName("unit"+guiName+"Pair[0]").size;
 		var pairSideWidth = pairSize.right;
 		var pairSideHeight = pairSize.bottom;
 		var pairSpacerHeight = pairSideHeight + 1;
@@ -878,7 +878,7 @@
 	// Resize Queue panel if needed
 	if (guiName == QUEUE) // or garrison
 	{
-		var panel = getGUIObjectByName("unitQueuePanel");
+		var panel = Engine.GetGUIObjectByName("unitQueuePanel");
 		var size = panel.size;
 		size.top = (UNIT_PANEL_BASE - ((numRows-1)*UNIT_PANEL_HEIGHT));
 		panel.size = size;
@@ -886,15 +886,15 @@
 
 	// Hide any buttons we're no longer using
 	for (var i = numButtons; i < g_unitPanelButtons[guiName]; ++i)
-		getGUIObjectByName("unit"+guiName+"Button["+i+"]").hidden = true;
+		Engine.GetGUIObjectByName("unit"+guiName+"Button["+i+"]").hidden = true;
 
 	// Hide unused pair buttons and symbols
 	if (guiName == RESEARCH)
 	{
 		for (var i = numButtons; i < g_unitPanelButtons[guiName]; ++i)
 		{
-			getGUIObjectByName("unit"+guiName+"Button["+(i+rowLength)+"]").hidden = true;
-			getGUIObjectByName("unit"+guiName+"Pair["+i+"]").hidden = true;
+			Engine.GetGUIObjectByName("unit"+guiName+"Button["+(i+rowLength)+"]").hidden = true;
+			Engine.GetGUIObjectByName("unit"+guiName+"Pair["+i+"]").hidden = true;
 		}
 	}
 
@@ -910,7 +910,7 @@
 	for (var i = 0; i < TRADING_RESOURCES.length; i++)
 	{
 		var resource = TRADING_RESOURCES[i];
-		var button = getGUIObjectByName("unitTradingButton["+i+"]");
+		var button = Engine.GetGUIObjectByName("unitTradingButton["+i+"]");
 		button.size = (i * 46) + " 0 " + ((i + 1) * 46) + " 46";
 		if (resource == requiredGoods)
 			var selectRequiredGoodsData = { "entities": selection, "requiredGoods": undefined };
@@ -919,8 +919,8 @@
 		button.onpress = (function(e){ return function() { selectRequiredGoods(e); } })(selectRequiredGoodsData);
 		button.enabled = true;
 		button.tooltip = "Set/unset " + resource + " as forced trading goods.";
-		var icon = getGUIObjectByName("unitTradingIcon["+i+"]");
-		var selected = getGUIObjectByName("unitTradingSelection["+i+"]");
+		var icon = Engine.GetGUIObjectByName("unitTradingIcon["+i+"]");
+		var selected = Engine.GetGUIObjectByName("unitTradingSelection["+i+"]");
 		selected.hidden = !(resource == requiredGoods);
 		var grayscale = (resource != requiredGoods) ? "grayscale:" : "";
 		icon.sprite = "stretched:"+grayscale+"session/icons/resources/" + resource + ".png";
@@ -946,15 +946,15 @@
 			if (j == 0)
 			{
 				// Display the selection overlay
-				var selection = getGUIObjectByName("unitBarter" + action + "Selection["+i+"]");
+				var selection = Engine.GetGUIObjectByName("unitBarter" + action + "Selection["+i+"]");
 				selection.hidden = !(i == g_barterSell);
 			}
 
 			// We gray out the not selected icons in 'sell' row
 			var grayscale = (j == 0 && i != g_barterSell) ? "grayscale:" : "";
-			var icon = getGUIObjectByName("unitBarter" + action + "Icon["+i+"]");
+			var icon = Engine.GetGUIObjectByName("unitBarter" + action + "Icon["+i+"]");
 
-			var button = getGUIObjectByName("unitBarter" + action + "Button["+i+"]");
+			var button = Engine.GetGUIObjectByName("unitBarter" + action + "Button["+i+"]");
 			button.size = (i * 46) + " 0 " + ((i + 1) * 46) + " 46";
 			var amountToBuy;
 			// We don't display a button in 'buy' row if the same resource is selected in 'sell' row
@@ -986,7 +986,7 @@
 					var hidden = neededResources ? false : true;
 					for (var ii = 0; ii < BARTER_RESOURCES.length; ii++)
 					{
-						var affordableMask = getGUIObjectByName("unitBarterBuyUnaffordable["+ii+"]");
+						var affordableMask = Engine.GetGUIObjectByName("unitBarterBuyUnaffordable["+ii+"]");
 						affordableMask.hidden = hidden;
 					}
 				}
@@ -999,7 +999,7 @@
 				button.onpress = (function(exchangeResourcesParameters){ return function() { exchangeResources(exchangeResourcesParameters); } })(exchangeResourcesParameters);
 				amount = amountToBuy;
 			}
-			getGUIObjectByName("unitBarter" + action + "Amount["+i+"]").caption = amount;
+			Engine.GetGUIObjectByName("unitBarter" + action + "Amount["+i+"]").caption = amount;
 		}
 	}
 }
@@ -1068,7 +1068,7 @@
 				function (item) { performStance(entState.id, item); } );
 		}
 
-		getGUIObjectByName("unitBarterPanel").hidden = !entState.barterMarket;
+		Engine.GetGUIObjectByName("unitBarterPanel").hidden = !entState.barterMarket;
 		if (entState.barterMarket)
 		{
 			usedPanels["Barter"] = 1;
@@ -1246,7 +1246,7 @@
 	var offset = 0;
 	for each (var panelName in g_unitPanels)
 	{
-		var panel = getGUIObjectByName("unit" + panelName + "Panel");
+		var panel = Engine.GetGUIObjectByName("unit" + panelName + "Panel");
 		if (usedPanels[panelName])
 			panel.hidden = false;
 		else
@@ -1258,7 +1258,7 @@
 function hideUnitCommands()
 {
 	for each (var panelName in g_unitPanels)
-		getGUIObjectByName("unit" + panelName + "Panel").hidden = true;
+		Engine.GetGUIObjectByName("unit" + panelName + "Panel").hidden = true;
 }
 
 // Get all of the available entities which can be trained by the selected entities
